Summary:	Vim syntax: RPM specfiles
Summary(pl.UTF-8):	Składania dla Vima: pliki RPM spec
Name:		vim-syntax-spec
Version:	1.123
Release:	1
License:	Charityware
Group:		Applications/Editors/Vim
Source0:	spec.vim
Source1:	vim-ftplugin-spec.vim
# 4.4.35 is broken
Conflicts:	rpm-build-tools < 4.4.36-2
# for diffcol
Suggests:	rpmbuild(macros)
Conflicts:	rpmbuild(macros) < 1.665
# for _vimdatadir existence
Requires:	vim-rt >= 4:7.2.170
Obsoletes:	vim-ftplugin-spec
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim

%description
This plugin provides syntax highlighting for RPM spec files.

%description -l pl.UTF-8
Ta wtyczka zapewnia podświetlanie składni plików RPM spec.

%prep
%setup -qcT
rev=$(awk '/^".*Version:.*/{print $3}' %{SOURCE0})
if [ "$rev" != "%{version}" ]; then
	: Update version $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_vimdatadir}/{syntax,ftplugin}
cp -p %{SOURCE0} $RPM_BUILD_ROOT%{_vimdatadir}/syntax/spec.vim
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_vimdatadir}/ftplugin/spec.vim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_vimdatadir}/syntax/spec.vim
%{_vimdatadir}/ftplugin/spec.vim
%changelog
* Fri Jun 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vim-syntax-spec.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> e747011
- v1.123: add ruby_specdir and ruby_gemdir

* Thu Nov 08 2012 Elan Ruusamäe <glen@delfi.ee> 3747b3b
- 1.122: recognize %global and %unglobal

* Fri Apr 20 2012 Elan Ruusamäe <glen@pld-linux.org> 6681730
- add systemdtmpfilesdir

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 556deca
- add %{nodejs_libdir}

* Mon Nov 14 2011 Elan Ruusamäe <glen@pld-linux.org> 6b7d788
- arm macro

* Mon Jul 11 2011 Elan Ruusamäe <glen@pld-linux.org> 0397cce
- add __gnome_doc_common

* Sat Jun 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 7ed4484
- rel 3

* Sat Jun 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 436dc4c
- jump to 'version' after searching "Version:"

* Wed Mar 16 2011 Zsolt Udvari <uzsolt@pld-linux.org> cd5df5e
- rel 2

* Wed Mar 16 2011 Zsolt Udvari <uzsolt@pld-linux.org> 580cbf7
- added jumping mappings

* Sun Jan 16 2011 Artur Frysiak <artur@frysiak.net> 5dcbaf0
- add glib_compile_schemas

* Thu Sep 16 2010 Elan Ruusamäe <glen@pld-linux.org> fa23677
- add _npkgconfigdir

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 9ee4287
- update desktop macros

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> b7d4a6d
- use rpmbuild(macros) virtual, not direct package name

* Fri Jul 02 2010 Zsolt Udvari <uzsolt@pld-linux.org> e8f9e96
- rel up

* Fri Jul 02 2010 Zsolt Udvari <uzsolt@pld-linux.org> a42568d
- add Summary, %description and 'full subpackage' creation
- add mappings to functions above

* Thu Apr 29 2010 Elan Ruusamäe <glen@pld-linux.org> 7f72228
- darn, vim syntax should not depend bunch of devel tools; rel 2

* Tue Apr 20 2010 pawelz <pawelz@pld-linux.org> cf38dce
- up to 1.114

* Mon Apr 19 2010 Elan Ruusamäe <glen@pld-linux.org> 81a9d25
- match specTodo also in shComment

* Mon Apr 19 2010 Elan Ruusamäe <glen@pld-linux.org> 6c07ac1
- add specTodo

